【未解決】xubuntu16.04でowncloud-clientのセットアップが進まない

久々にインストールしてみたらロゴがowncloud-xとかになっててなんだこれって思ったらバージョンが10になったってことなんですね。

Unsupported client version

f:id:takanotume24:20171026000639p:plain こんな感じの表示が出て先に勧めない。serverの方は10、clientは2.3.3。
ここ↓ central.owncloud.org にあるように、既知の問題?ただ2.1.1にバージョン落としてもエラーは消えない。解決策を知ってる方がいらっしゃいましたらコメントでご教授ください。
旧バージョンダウンロード先→https://download.opensuse.org/repositories/isv:/ownCloud:/desktop:/